logging Module Reference

Device Logging. More...

## Classes

interface | DebugLog_2_0_0
| Device debug log interface. More...
interface | EventLog_2_0_0
| Device event log interface. More...
struct | LogChunk
| A log chunk. More...
struct | LogEntry
| A log entry. More...
struct | LogInfo
| General log info. More...
interface | WlanLog
| WLAN diagnostic log interface. More...

## Enumerations

enum | RangeDirection { FORWARD, BACKWARD }
| Range direction when fetching log entries. More...

## Variables

valueobject | EventLogClearedEvent
| Event log cleared event.

## Detailed Description

Device Logging.

## Enumeration Type Documentation

## RangeDirection

enum logging::RangeDirection

Range direction when fetching log entries.

Enumerator
FORWARD | Ascending serial numbers.
BACKWARD | Descending serial numbers.